Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class AssetsHandlingPCI
    Inherits BaseObject
    Private _AssetsHandling As AssetsHandling 'Fejléc objektum
    Private _MainType As String 'Tipus (Számla, pénztár, bank stb)
    Private _DateExecution As Date 'Teljestés dátuma
    Private _BallanceHUF As Double 'Egyenleg HUF
    Private _BallanceDEV As Double 'Egyenleg DEV
    Private _ShortName As String
    Private _Description As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("AssetsHandlin-AssetsHandlingPCI", GetType(AssetsHandling))> _
    Property AssetsHandling As AssetsHandling
        Get
            Return _AssetsHandling
        End Get
        Set(ByVal value As AssetsHandling)
            SetPropertyValue("AssetsHandling", _AssetsHandling, value)
        End Set
    End Property
    Property MainType As String
        Get
            Return _MainType
        End Get
        Set(ByVal value As String)
            SetPropertyValue("MainType", _MainType, value)
        End Set
    End Property
    Property DateExectution As Date
        Get
            Return _DateExecution
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property BallanceHUF As Double
        Get
            Return _BallanceHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("BallanceHUF", _BallanceHUF, value)
        End Set
    End Property
    Property BallanceDEV As Double
        Get
            Return _BallanceDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("BallanceDEV", _BallanceDEV, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Description As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
End Class
